Subject: Re: bug#10539: 24.0.92; low display-time-interval makes Emacs slow

From: Glenn Morris <[email-masked]>
Date: Sun, 29 Jan 2012 01:07:24 -0500

Eli Zaretskii wrote:

> I think force-mode-line-update nowadays always forces update of all
> visible mode lines, not just the one of the current buffer.
>
> Calling force-mode-line-update with ALL non-nil forces a more thorough
> redisplay (because it sets a flag which causes redisplay not to trust
> the contents of the displayed windows, not just their mode lines).
>
> IOW, (force-mode-line-update t) is a way to force the next redisplay
> cycle do a more thorough job, it has nothing to do with mode lines per
> se.

I think it would be good if you could document this, because it's
basically impossible to figure out what this function actually does from
looking at its lisp definition.